package com.ywt.glasses.configs;

import com.ywt.glasses.core.SpringContext;
import com.ywt.glasses.interceptors.AccessBehaviorInterceptor;
import com.ywt.glasses.interceptors.AuthInterceptor;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

@Configuration
public class WebMvcConfigure extends WebMvcConfigurerAdapter {

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor((AccessBehaviorInterceptor) SpringContext.getBean(AccessBehaviorInterceptor.class)).addPathPatterns("/**");
        registry.addInterceptor((AuthInterceptor) SpringContext.getBean(AuthInterceptor.class)).addPathPatterns("/**");
        super.addInterceptors(registry);
    }
}
